Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class FuncFormatNumb

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.functions.Function
                  |
                  +--weblogic.apache.xpath.functions.FunctionOneArg
                        |
                        +--weblogic.apache.xpath.functions.Function2Args
                              |
                              +--weblogic.apache.xpath.functions.Function3Args
                                    |
                                    +--weblogic.apache.xalan.templates.FuncFormatNumb

public class FuncFormatNumb
extends Function3Args

Execute the FormatNumber() function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`FuncFormatNumb()`

Method Summary
`void` | `checkNumberArgs(int argNum)` Overide the superclass method to allow one or two arguments.
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `warn(XPathContext xctxt, int msg, java.lang.Object[] args)` Warn the user of a problem.

Methods inherited from class weblogic.apache.xpath.functions.Function3Args
`canTraverseOutsideSubtree, fixupVariables, getArg2, setArg`

Methods inherited from class weblogic.apache.xpath.functions.Function2Args
`getArg1`

Methods inherited from class weblogic.apache.xpath.functions.FunctionOneArg
`getArg0`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncFormatNumb

    public FuncFormatNumb()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the function. The function must return a valid object.

  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Function

### warn

    public void warn(XPathContext xctxt,
                     int msg,
                     java.lang.Object[] args)
              throws javax.xml.transform.TransformerException

  Warn the user of a problem.

  Parameters:
    `xctxt` - The XPath runtime state.
    `msg` - Warning message code
    `args` - Arguments to be used in warning message
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
    javax.xml.transform.TransformerException -
  Overrides:
    warn in class Expression

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overide the superclass method to allow one or two arguments.

  Parameters:
    `argNum` - Number of arguments passed in
  Throws:
    WrongNumberArgsException -
  Overrides:
    checkNumberArgs in class Function3Args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference